<?php
//+-----------------------------------------------+//
//+ Copyright Floopo.com
//+ text.php
//+ Display and adding new text via web
//+-----------------------------------------------+//

defined('BASEPATH') or die('You can not directly access this file'); //check its within this framework


//____DEFAULT TEMPLATE_____
$inner_template = TEMPLATES.'tpl_index.htm';


//____MYSQL CONNECTION____
//$quickmysql_debug = 1;
$dbase = new QuickMysql(DB_NAME,DB_USER,DB_PASS,DB_HOST);


//___ARE WE VIEWING OR EDITING_______________
$load = $_GET['load']; //get action to load
if($load == '') {
    $load = $_POST['load'];
}

$stream_type = Sanatize($_GET['type']); //updates, following_updates etc


//___START_______________


//If we are editing or adding new text - Load helper
if($load == 1) {

    include_once (BASEPATH.'/com/com_text/helper.php');

}

//____DETERMINE THE STREAM____
$incoming_stream = GetStream();
$incoming_stream = strtolower($incoming_stream);
//if the user is logged in and they load index page...show their timeline (text)
if($caller == 'index' && $env_user_name != '' && $incoming_stream != 'public') {
    $incoming_stream = $env_user_name;
}



//___MEMBER STEAM___________________________
if(IsMemberActive($incoming_stream) && MembersPrivacyCheck($incoming_stream)) {


//____DETERMINE PRIVACY____



    //Determine type of stream to load (set in calling query)
    switch($stream_type) {

            //_______updates from people I am following_____
        case 'following_updates':
            $paginate = array($config['page_limits'],Sanatize($_GET['page']),'  >>','<<  '); //(limit, current page, next, previous)
            $pagi_addurl_pre = "$incoming_stream/updates/following/&";
            $stream = $dbase->PaginatedRecordLoop("SELECT following.followers_user_name AS fol_user, content_text.text_message, content_text.content_id, member_profile.avatar, content_text.date_added, member_profile.user_name
                                                FROM following
                                                JOIN content_text ON following.user_name = content_text.user_name
                                                JOIN member_profile ON following.user_name =  member_profile.user_name 
                                                WHERE following.followers_user_name = '$incoming_stream'
                                                ORDER BY content_text.content_id DESC");
            $pagination = str_replace('&page=', '', $dbase->pagination_simple_html); //SEO trimming
            (count($stream) > 0) ? $text_avatar = 1 : $no_content = 1; //text block style
            break;

            //_______updates from favorites_____
        case 'favorite_updates':
            $paginate = array($config['page_limits'],Sanatize($_GET['page']),'  >>','<<  '); //(limit, current page, next, previous)
            $pagi_addurl_pre = "$incoming_stream/updates/favorites/&";
            $stream = $dbase->PaginatedRecordLoop("SELECT favorite_text.user_name AS fav_user, content_text.text_message, content_text.content_id, member_profile.avatar, content_text.date_added, member_profile.user_name
                                                    FROM favorite_text
                                                    LEFT JOIN content_text ON favorite_text.content_id = content_text.content_id
                                                    LEFT JOIN member_profile ON content_text.user_name = member_profile.user_name
                                                    WHERE favorite_text.user_name = '$incoming_stream'
                                                    ORDER BY favorite_text.indexer DESC");
            $pagination = str_replace('&page=', '', $dbase->pagination_simple_html); //SEO trimming
            (count($stream) > 0) ? $text_avatar = 1 : $no_content = 1; //text block style
            break;



            //_______Replies to me _____
        case 'replies':

            //check if logged in
            ($env_user_name == '')? @header('Location: '.$env_base_url) : NULL;
            $paginate = array($config['page_limits'],Sanatize($_GET['page']),'  >>','<<  '); //(limit, current page, next, previous)
            $pagi_addurl_pre = "$incoming_stream/replies/updates/&";
            $stream = $dbase->PaginatedRecordLoop("SELECT content_text.user_name, content_text.content_id, content_text.content_public, content_text.date_added, content_text.text_message, member_profile.avatar, member_profile.user_name
                                            FROM content_text
                                            JOIN member_profile ON content_text.user_name =  member_profile.user_name 
                                            WHERE content_text.content_public = 1 
                                            AND content_text.text_message LIKE ('%@$env_user_name%')
                                            ORDER BY content_id DESC");
            $pagination = str_replace('&page=', '', $dbase->pagination_simple_html); //SEO trimming
            (count($stream) > 0) ? $text_avatar = 1 : $no_content = 1; //text block style
            break;



            //_______My updates________
        default:
            $paginate = array($config['page_limits'],Sanatize($_GET['page']),'  >>','<<  '); //(limit, current page, next, previous)
            $pagi_addurl_pre = "$incoming_stream/updates/&";
            $stream = $dbase->PaginatedRecordLoop("SELECT * 
                                                FROM content_text
                                                WHERE user_name = '$incoming_stream'
                                                ORDER BY content_id DESC");
            $pagination = str_replace('&page=', '', $dbase->pagination_simple_html); //SEO trimming
            (count($stream) > 0) ? $text_plain = 1: $no_content = 1; //text block style
            break;


    }

    //_______________MEMBERS GLOBAL DATA______________________________________
    $membersdata = new MembersGlobalData($incoming_stream);

    $web_profiles_array = $membersdata->WebProfiles(); // web profile
    $show_url_link = ($web_profiles_array[0]['site_url'] == '')? 0:1; //show or hide url
    
    $following_array = $membersdata->GetFollowing(); // people I am followings
    $count_following = @count($following_array);

    $followers_array = $membersdata->GetFollowers(); // people following me
    $count_followers = @count($followers_array);

    $count_updates = $membersdata->CountMembersUpdates(); //count updates

    $members_profile = $membersdata->MembersProfile(); //welcome message

    //--------------------------------------------------------------------------



} else {

    
    //____this is a vlaid stream but private___________
    if(IsMemberActive($incoming_stream)){
		    $_SESSION["notice"] = 6;
            header('Location: '.$env_base_url.'/notice'); //notice codes can be added in com_notice
            die();
    }

    //________this was an 'invalid' stream_______________
    if($incoming_stream != '' && $incoming_stream != 'public') {
        header('Location: pages/notfound'); //this will load /com/com_pages/pages.php?load=notfound
        die();
    }

    //_____PUBLIC STREAM______________________________________
    $paginate = array($config['page_limits'],Sanatize($_GET['page']),'  >>', '<<  '); //(limit, current page, next, previous)
    $pagi_addurl_pre = 'public/updates/&';
    $stream = $dbase->PaginatedRecordLoop("SELECT content_text.user_name, content_text.content_id, content_text.content_public, content_text.date_added, content_text.text_message, member_profile.avatar, member_profile.user_name
                                            FROM content_text
                                            JOIN member_profile ON content_text.user_name =  member_profile.user_name 
                                            WHERE content_text.content_public = 1 ORDER BY content_id DESC");
    $incoming_stream = 'public';
    $pagination = str_replace('&page=', '', $dbase->pagination_simple_html); //SEO trimming

    //Set up the view
    $welcome_message = $stream['welcome_message'];
    (count($stream) > 0) ? $text_avatar = 1: $no_content = 1; //text block style

}

//____VISIBILITY________________________
$visibility = new Visibility('text');
$visible = $visibility->ComText();
//print_r($visible); debug

//Explode array back to vars
foreach($visible as $key => $value) {
    $$key = $value;
}

//____DISPLAY ANY OUTPUT_________________________
$TBS = new clsTinyButStrong;
$TBS->NoErr = true;
$TBS->LoadTemplate(TPL_WRAPPER);
$TBS->MergeField('formdata',$_POST);
$TBS->MergeField('config',$config);
$TBS->MergeField('profile',$members_profile);
$TBS->MergeField('lang',$lang);
$TBS->MergeBlock('blk1',$stream);
$TBS->MergeBlock('blk2',$web_profiles_array);
$TBS->MergeBlock('blk3',$following_array);
$TBS->Render = TBS_OUTPUT;
$TBS->Show();
@mysql_close();

?>